clear all
subjID = 'subj13';
sr = 2;
ch = 39;
data_path = '../neurophysiology_data_exp2/';

%% Load the data
load([data_path subjID '_bb_movie_rasters/ch' sprintf('%03d', ch) '.mat'])

%% plot 6b
figure

subplot(2,1,1)
%subplot('Position', [.35 .7 .2 .216]);

pcolor(1:size(raster_data,2), 1:size(raster_data,1),raster_data); 
shading flat;
load colorMapRedBlue.mat
set(gcf,'colormap',colorMap);
set(gca, 'Clim', [-300 300]);
set(gca, 'XTick',[0:500*sr:2500*sr])
set(gca, 'XTickLabel',  {'-500' '0' '500' '1000' '1500', '2000'})
set(gca, 'TickDir', 'Out')
xlim([0 2000*sr])
ylim([1 size(raster_data,1)])
set(gca, 'YTick', 1:400:1601)
set(gca, 'YTickLabel', {'1' '400' '800' '1200' '1600'})
hold on
plot([500 500]*sr, [1 size(raster_data,2)],...
    'k', 'LineWidth',1)
set(gca, 'FontSize', 14)
ylabel('Trial # ')
xlabel(' Time from cut onset (ms) ')
box off
h = colorbar;
ylabel(h,'IFP (uV)');

%% Plot 6c
subplot(2,1,2);
hold on
plot(mean(raster_data));
shadedErrorBar(1:2500*sr,mean(raster_data), (std(raster_data))*2/sqrt(size(raster_data,1)),{'-','Color',[0 0 0],'LineWidth',2},1);
plot([500 500]*sr, [-100 100],...
    'k', 'LineWidth',1)
ylabel('IFP (uV) ')
box off
ax = gca;
ax.TickDir = 'out';
ax.FontSize = 14;
ax.XTick = [0:500*sr:2000*sr];
ax.XTickLabel = {'-500' '0' '500' '1000' '1500'};
xlabel(' Time from cut onset (ms) ')

xlim([0 2000*sr])
ylim([-40 65])

