clear all
movie_path = '../movie_data_exp1/';
eyetracking_path = '../eyetracking_exp1/';

addpath(eyetracking_path);
addpath(movie_path)
load('movie_event_times.mat')

subject_names = {'a1';'a2';'a3';'a4';'a5';'a6';'a7'};

figure
for curr_movie=1:3
    rep_count = 0;
    for s = 1:length(subject_names)
        subject_name = subject_names{s};
%         moviepress_output_filename_asterisk=sprintf('%s_moviepress_v7*out.mat',subject_name);
%         d=dir(moviepress_output_filename_asterisk);
%         d=dir([eyetracking_path 'raw_eyelink/' moviepress_output_filename_asterisk]);
%         
%         if (length(d)==0)
%             txt=sprintf('error! i could not find any files of the form %s',moviepress_output_filename_asterisk);disp(txt);return;
%         end
%         moviepress_output_filename=d(1).name;
%         load (moviepress_output_filename);

        eyelink_filename=sprintf('%s_eyetracking.mat',subject_name);
        if (~exist(eyelink_filename))
            txt=sprintf('%s does not exist',eyelink_filename);disp(txt);return;
        end
        load (eyelink_filename);
        % screen_coords
        %   0
        %   0
        %   1439
        %   899
        
        fps=30;                 % movie presentation (frames per second)
        frame_time=1/fps;       % frame duration (seconds)
        samplingrate=500;       % eye tracker (samples per second)
        colors=[1 0 0;0 1 0;0 0 1;1 1 0;1 0 1];
        
        n_exceptions=0;
        moviename=sprintf('mov%d.mat',curr_movie);
        load (moviename);
        % video
        video_width=video.width;            % 320
        video_height=video.height;          % 240
        centerx=ceil(screen_coords(3)/2);
        centery=ceil(screen_coords(4)/2);
        
        %for framenr=1:360
        for rep=1:5
            rep_count = rep_count+1;
            for framenr=1:200
                curr_frame=video.frames(framenr).cdata;
                
                t_movie=(framenr-1)/fps;           % time for this frame from movie onset (seconds)
                
                aux=find(pseudoorder(rep,:)==curr_movie);
                if curr_movie ==3
                    aux=find(pseudoorder(rep,:)==curr_movie+1); %fix movie numbering
                end
                transition_index=(rep-1)*5+aux;
                % show eye positions for mov1a
                index_start=t_transitions_on(transition_index);             % movie onset
                index_end=t_transitions_off(transition_index);              % movie offset
                
                index_current_frame=index_start+round(t_movie*samplingrate);
                index_before_next_frame=index_start+round((t_movie+1/fps)*samplingrate)-1;
                
                eye_positions=eye_targets(index_current_frame:index_before_next_frame,:);
                eyex=median(eye_positions(:,1));eyex=eyex-centerx;
                eyey=median(eye_positions(:,2));eyey=eyey-centery;
                
                xpos(framenr, rep_count) = eyex;
                ypos(framenr, rep_count) = eyey;
            end
            %keyboard;
            
        end             % close framenr loop
    end
    dist = hypot(xpos*(20.9/screen_coords(3)),ypos*(13.5/screen_coords(4))); %scale to degrees
    vt_mean = nanmean(dist,2);
    vt_sem = nanstd(dist')./sqrt(size(dist,2));
    t = 1:60:12000;
    subplot(3,1,curr_movie)
    hold on
    shadedErrorBar(t,(vt_mean), (vt_sem),{'-','Color',[0 0 0],'LineWidth',2},1);
    mov_times = movie_event_times_ms{curr_movie};
    
    for i = 1:length(mov_times)
        plot([mov_times(i) mov_times(i)], [0 2], 'k--')
    end
    title(['Average eye position - movie ' num2str(curr_movie)])
    box off
    set(gca, 'TickDir', 'Out')
    set(gca, 'FontSize', 20)
    if curr_movie ==2
        ylabel('Average eye position (degrees)')

    elseif curr_movie ==3
        xlabel('Time from movie onset (ms)')
    end
end                 % close curr_movie loop
